EET install error

Hi!  Can anyone help with this?

I have eet installed, but want to add the IWD content (and subraces).  Keep getting this error:

Will uninstall 158 files for [EET/EET.TP2] component 0.
Uninstalled    158 files for [EET/EET.TP2] component 0.
ERROR: Unix.Unix_error(20, "stat", "EET/temp/biff/mos1315.pvrz")
PLEASE email the file SETUP-EET.DEBUG to K4thos (swit)
Automatically Skipping [EET core (resource importation)] because of error.
Using Language [English]

NOT INSTALLED DUE TO ERRORS EET core (resource importation)

C:\Users\bdtga\Documents\Baldur's Gate II Enhanced Edition>

ERROR: [EET/SOD_GUI/CH01AJON.MOS] -> [EET/SOD_GUI/CH01AJON.MOS] Patching Failed (COPY) (Unix.Unix_error(20, "stat", "EET/temp/biff/mos1315.pvrz"))
ERROR: Unix.Unix_error(20, "stat", "EET/temp/biff/mos1315.pvrz")
Enhanced Edition Trilogy (Enhanced Edition Trilogy) was not installed due to errors.

Without this component the installation cannot be continued.

I tried re-downloading the newest version of the eet install tool.

Thanks!

Comments

  • Roxanne said:
    Once you run EET installation and have imported the BGEE you can only manually add mods to BG2EE after you have uninstalled EET_end. You need some weidu knowledge to change an already modded game afterwards - you cannot change anything prior EET itself anyway.
    In order to make a larger installation with more mods, you need to start from a clean set of games again, i.e. delete your modded games - make new copies of the unmodded games from your steam.
    Then start the install tool for those new copies and let it do all the job with the mods you select this time.

    -Is this my issue?
  • I think you picked the wrong mod (exe file) in your attempt. It seems you selected Setup-EET.exe instead of Setup-EET_end.exe.
    This means you have erroneously uninstalled the mods and EET and the re-installation of that bunch does not work. Sorry to say, there is no repair for this but starting again from the clean games.
    Note - you can open the file weidu.log with any text editor and see what the status is, it may confirm my assumption or not.
  • edited September 25
    Out of interest: I think this might have happened to me too since my whole setup was gone when I tried to add some more mods to it, but I do not have any of these EXEs. What I have got are the two files "Start EE Mod Setup.vbs" and "Update EE Mod Setup.vbs" - I started with "Start[...]" and then tried to update with the other one.

    Have I downloaded the wrong "EE-Mod-Setup-master.zip"? And why is my whole setup gone when I use "Update EE Mod Setup.vbs"?

  • Shells said:
    Out of interest: I think this might have happened to me too since my whole setup was gone when I tried to add some more mods to it, but I do not have any of these EXEs. What I have got are the two files "Start EE Mod Setup.vbs" and "Update EE Mod Setup.vbs" - I started with "Start[...]" and then tried to update with the other one.

    Have I downloaded the wrong "EE-Mod-Setup-master.zip"? And why is my whole setup gone when I use "Update EE Mod Setup.vbs"?

    The Update function of the tool is NOT to update the game, it is meant to update the tool itself to the latest version (new mod configuration, changed download links etc.)

    Never use the tool if you want to make updates to an existing installation. If at all (it is possible but you must know exactly what you are doing) you can modify the existing installation manually from the exe files inside the game folder by uninstalling mods or components or adding new ones.
    The discussion above was in the context of that second case.
  • edited September 26
    Thanks for the quick explanation, Roxanne. I will mod my vanilla copied files again then.

    One specific question if I may, no idea wether you know the answer since it refers to a specific mod whose name I don't know: I once had extra mage robes ("Robe of the Battlemage" + others) in my game. Do you have any idea which mod provides these? Couldn't find anything on the net.

    By the way a big, big thank you for this fantastic tool! It makes modding so much easier.
  • Shells said:
    Thanks for the quick explanation, Roxanne. I will mod my vanilla copied files again then.

    One specific question if I may, no idea wether you know the answer since it refers to a specific mod whose name I don't know: I once had extra mage robes ("Robe of the Battlemage" + others) in my game. Do you have any idea which mod provides these? Couldn't find anything on the net.

    By the way a big, big thank you for this fantastic tool! It makes modding so much easier.
    Possible candidate for that robe may be Item Revisions mod which overwrites the vanilla clck16 to become Robe of the Battlemage. I have not used the mod myself for a decade (back in old BGT), so no idea how it behaves today on game version 2.6.

  • Hi @Roxanne:

    Sorry for the delay in responding, I'd been trying to login using my email and not simply my user name... thought I was blocked for some reason!

    I deleted eet and my bg and bg2, reinstalled all, no problems.  But, I can't get iwd to work using the eet install tool.   It says the icewind _end and icewind world map components can't be found.  I've tried re-downloading the icewind1 zip a few times.

    I've considered just doing the manual install, but I've never done this before (or at least not since bg was on cd).  I looked at your logs you shared in another post, and I can see at which points you added the iwd bits.  The iwd1 and 2 zip files each have an .exe with them.  My current understanding is that I would need to do a full reinstall of eet, and tell eet to pause at those points, then use the .exe files that are in the iwd1 ad 2 zips from within my bg2 ee mod folder during the pauses?  Am I understanding this correctly?

    On manual installation... for me, the subraces mod is buggy, with the daylight blindness giving a constant notice, unless you use eekeeper to delete the effect.  Minor annoyance I guess, but I think it does a similar thing with Dorn's fear resist too.  And iwd2 for eet, from what I've seen posted, still has issues, so I'm hesitant to do a manual install even IF I understand how to do it, if the manual install does indeed require idw2.

    So any idea why the tool can't find my iwd_end and iwd worldmap files?  iwd1_eet_alpha is the only zip we need to put in the eet mod download folder, yes?

    Appreciate all the work you've been doing on eet et al.
  • IWD_End:
    https://www.dropbox.com/s/c6hulnvz8172agx/icewind_eet.zip?dl=1 the archive name is icewind_eet.zip and it starts with setup-icewind_eet.exe

    Iwd worldmap

    The tool currently does not support IWD2 for EET since it is still under construction, however if you want to test it, it must be installed right behind IWD1 - the end + worldmap add-ons cover both games, so there is no difference for that.
  • Roxanne said:
    IWD_End:
    https://www.dropbox.com/s/c6hulnvz8172agx/icewind_eet.zip?dl=1 the archive name is icewind_eet.zip and it starts with setup-icewind_eet.exe

    Iwd worldmap

    The tool currently does not support IWD2 for EET since it is still under construction, however if you want to test it, it must be installed right behind IWD1 - the end + worldmap add-ons cover both games, so there is no difference for that.

    Cool, I'll give it a try first chance.  Thanks!
Sign In or Register to comment.